Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13210

Description

When trying to download .osm data into Qgis a python error is thrown and nothing gets added to the canvas, even though all the GUI

parameters seem to be OK.

I am attaching a screenshot of the GUI's state just before I press the 'Download' button. In it you can also see the extent I am using, so it

can be used as a test case.

The error thrown is:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/ricardo/Programas/qgis_trunk/share/qgis/python/plugins/osm/OsmPlugin.py", line 261, in downloadOsmData

    self.dlgLoad=OsmLoadDlg(self)

  File "/home/ricardo/Programas/qgis_trunk/share/qgis/python/plugins/osm/OsmLoadDlg.py", line 57, in init

    item.setFlags( Qt.ItemIsSelectable | Qt.ItemIsUserCheckable | Qt.ItemIsEnabled)

[[AttributeError]]: 'module' object has no attribute 'ItemIsSelectable'

History

#1 - 2010-10-24 05:08 AM - Giovanni Manghi

Ricardo did you tested trunk. I used to get the same error, but now in trunk seems to be gone.

#2 - 2010-10-24 05:21 AM - Ricardo Silva

Yeah, I'm using Qgis 1.6 (rev. 14431), built yesterday (24th October 2010) and I get the above described error. I'm on Ubuntu 10.10

#3 - 2010-10-25 12:40 AM - Giovanni Manghi

oh yes, seeing it again too.

#4 - 2010-10-30 03:00 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:b21f5e6e (SVN r14454).
